Bug 801235 - ipa hbacsvc-find missing --not-in-hbacrule and --in-hbacrule rules.
ipa hbacsvc-find missing --not-in-hbacrule and --in-hbacrule rules.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 20:36 EST by Michael Gregg
Modified: 2016-01-29 07:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 07:54:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Gregg 2012-03-07 20:36:22 EST
Description of problem:
adding a hbac service to a hbac rule was a recently added feature. After the services are added to a hbacrule, the user is unable to search for hbac services including or excluding hbac rules like the other types of objects that you can include in hbac rules.

Version-Release number of selected component (if applicable):
ipa-server-2.2.0-2.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. create hbac rule
2. create hbac service
3. add service to hbac rule with ipa hbacrule-add-service --hbacsvcs=<service from step 2>
4. try to find the hbacsvc with ipa hbacsvc-find --in-hbacrule=<rule from step 1>
  
Actual results:
ipa: error: no such option: --in-hbacrule

Expected results:
A return of the service from step 2.
Comment 2 Martin Kosek 2012-03-08 07:49:44 EST
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2501
Comment 7 Martin Kosek 2016-01-29 07:54:30 EST
Thank you taking your time and submitting this request for Red Hat Enterprise Linux. Unfortunately, this bug was not given a priority and was deferred both in the upstream project and in Red Hat Enterprise Linux.

Given that we are unable to fulfill this request in following Red Hat Enterprise Linux releases, I am closing the Bugzilla as WONTFIX. To request that Red Hat re-considers the decision, please re-open the Bugzilla via appropriate support channels and provide additional business and/or technical details about its importance to you.

Note that you can still track this request or even contribute patches in the referred upstream Trac ticket.

Note You need to log in before you can comment on or make changes to this bug.